FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 03-18-2009, 05:09 PM
"Michael P. Soulier"
 
Default blocked package from rename?

I'm just curious about this block I noticed...

[uninstall ] x11-libs/qt-4.3.3
[blocks b ] x11-libs/qt-core ("x11-libs/qt-core" is blocking
x11-libs/qt-4.3.3)
[blocks b ] <=x11-libs/qt-4.4.0_alpha:4 ("<=x11-libs/qt-4.4.0_alpha:4" is
blocking x11-libs/qt-core-4.4.2, x11-libs/qt-qt3support-4.4.2,
x11-libs/qt-script-4.4.2, x11-libs/qt-gui-4.4.2-r1, x11-libs/qt-sql-4.4.2)

So, presumably qt-core was renamed to just qt, so that's why I'm being told to
unmerge qt-core and merge qt?

I'm just curious about what causes this. I'm getting there slowly...

Thanks,
Mike
--
Michael P. Soulier <msoulier@digitaltorque.ca>
"Any intelligent fool can make things bigger and more complex... It takes a
touch of genius - and a lot of courage to move in the opposite direction."
--Albert Einstein
 
Old 03-18-2009, 05:21 PM
Nikos Chantziaras
 
Default blocked package from rename?

Michael P. Soulier wrote:

I'm just curious about this block I noticed...

[uninstall ] x11-libs/qt-4.3.3
[blocks b ] x11-libs/qt-core ("x11-libs/qt-core" is blocking

x11-libs/qt-4.3.3)
[blocks b ] <=x11-libs/qt-4.4.0_alpha:4 ("<=x11-libs/qt-4.4.0_alpha:4" is
blocking x11-libs/qt-core-4.4.2, x11-libs/qt-qt3support-4.4.2,
x11-libs/qt-script-4.4.2, x11-libs/qt-gui-4.4.2-r1, x11-libs/qt-sql-4.4.2)

So, presumably qt-core was renamed to just qt, so that's why I'm being told to
unmerge qt-core and merge qt?


The other way around. There's no more "qt". It has been split into
"qt-core", "qt-gui", etc.


So in other words, x11-libs/qt will be unmerged as it's not needed anymore.
 
Old 03-18-2009, 05:25 PM
Alan McKinnon
 
Default blocked package from rename?

On Wednesday 18 March 2009 20:09:42 Michael P. Soulier wrote:
> I'm just curious about this block I noticed...
>
> [uninstall ] x11-libs/qt-4.3.3
> [blocks b ] x11-libs/qt-core ("x11-libs/qt-core" is blocking
> x11-libs/qt-4.3.3)
> [blocks b ] <=x11-libs/qt-4.4.0_alpha:4 ("<=x11-libs/qt-4.4.0_alpha:4"
> is blocking x11-libs/qt-core-4.4.2, x11-libs/qt-qt3support-4.4.2,
> x11-libs/qt-script-4.4.2, x11-libs/qt-gui-4.4.2-r1, x11-libs/qt-sql-4.4.2)
>
> So, presumably qt-core was renamed to just qt, so that's why I'm being told
> to unmerge qt-core and merge qt?
>
> I'm just curious about what causes this. I'm getting there slowly...

No, it's a monolithic to split-ebuild switch

Remember when kde added kde*meta packages in addition to just kde*?
qt did the same thing and the old large qt was replaced by several smaller qt-
* packages.

You have to unmerge qt and merge qt-*. They cannot co-exist as every file in
qt-core collides with qt

--
alan dot mckinnon at gmail dot com
 

Thread Tools




All times are GMT. The time now is 05:01 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org